	/* $Id: Order.java 763 2009-10-16 23:16:10Z ondrac $
	 *
	 * SofaShop demo for SOFA 2.0 component system
	 * Copyright (C) 2009  DSRG, Charles University in Prague
	 *                     http://dsrg.mff.cuni.cz/
	 *
	 * This library is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU Lesser General Public
	 * License as published by the Free Software Foundation; either
	 * version 2.1 of the License, or (at your option) any later version.
	 *
	 * This library is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	 * Lesser General Public License for more details.
	 *
	 * You should have received a copy of the GNU Lesser General Public
	 * License along with this library; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	 * MA 02110-1301 USA
	 *
	 */

	package org.objectweb.dsrg.sofa.demos.sofashop.common.datamodel;

	/** Data model member.
	  * 
	  * <p>
	  * This class was generated from ecore model by M2T template using
	  * Acceleo MDA Generator (see http://www.acceleo.org).
	  * </p>
	  */
	public class Order extends AbstractBase {
	 
		
		/** The code attribute. */
		private java.lang.String code;
		/** The createDate attribute. */
		private java.util.Date createDate = null;
		/** The approveDate attribute. */
		private java.util.Date approveDate = null;
		/** The closeDate attribute. */
		private java.util.Date closeDate = null;
		/** The cancelDate attribute. */
		private java.util.Date cancelDate = null;
	
		/** The orderItems reference. */
		private java.util.List<OrderItem> orderItems = null;
		/** The supplier reference. */
		private Supplier supplier = null;
		/** The store reference. */
		private Store store = null;

	
		
		/** Returns current value of code attribute.
		  *
		  * @return code
		  */
		public java.lang.String getCode () {
			return code;
		} 
		/** Returns current value of createDate attribute.
		  *
		  * @return createDate
		  */
		public java.util.Date getCreateDate () {
			return createDate;
		} 
		/** Returns current value of approveDate attribute.
		  *
		  * @return approveDate
		  */
		public java.util.Date getApproveDate () {
			return approveDate;
		} 
		/** Returns current value of closeDate attribute.
		  *
		  * @return closeDate
		  */
		public java.util.Date getCloseDate () {
			return closeDate;
		} 
		/** Returns current value of cancelDate attribute.
		  *
		  * @return cancelDate
		  */
		public java.util.Date getCancelDate () {
			return cancelDate;
		} 
	
		/** Returns current value of orderItems reference.
		  *
		  * @return orderItems
		  */
		public java.util.List<OrderItem> getOrderItems() {
			return this.orderItems;
		}
		/** Returns current value of supplier reference.
		  *
		  * @return supplier
		  */
		public Supplier getSupplier () {
			return this.supplier;
		}
		/** Returns current value of store reference.
		  *
		  * @return store
		  */
		public Store getStore () {
			return this.store;
		}

	
		
		/** Sets new value of code attribute.
		  *
		  * @param code new value
		  */
		public void setCode (java.lang.String code) {
			this.code = code;
		}
		/** Sets new value of createDate attribute.
		  *
		  * @param createDate new value
		  */
		public void setCreateDate (java.util.Date createDate) {
			this.createDate = createDate;
		}
		/** Sets new value of approveDate attribute.
		  *
		  * @param approveDate new value
		  */
		public void setApproveDate (java.util.Date approveDate) {
			this.approveDate = approveDate;
		}
		/** Sets new value of closeDate attribute.
		  *
		  * @param closeDate new value
		  */
		public void setCloseDate (java.util.Date closeDate) {
			this.closeDate = closeDate;
		}
		/** Sets new value of cancelDate attribute.
		  *
		  * @param cancelDate new value
		  */
		public void setCancelDate (java.util.Date cancelDate) {
			this.cancelDate = cancelDate;
		}
	
		/** Sets new value of orderItems association.
		  *
		  * @param orderItems new value
		  */
		public void setOrderItems( java.util.List<OrderItem> orderItems) {
			this.orderItems = orderItems;
		}
		/** Sets new value of supplier association.
		  *
		  * @param supplier new value
		  */
		public void setSupplier (Supplier supplier) {
			this.supplier = supplier;
		}
		/** Sets new value of store association.
		  *
		  * @param store new value
		  */
		public void setStore (Store store) {
			this.store = store;
		}

	
	}

