	/* $Id: Product.java 763 2009-10-16 23:16:10Z ondrac $
	 *
	 * SofaShop demo for SOFA 2.0 component system
	 * Copyright (C) 2009  DSRG, Charles University in Prague
	 *                     http://dsrg.mff.cuni.cz/
	 *
	 * This library is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU Lesser General Public
	 * License as published by the Free Software Foundation; either
	 * version 2.1 of the License, or (at your option) any later version.
	 *
	 * This library is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	 * Lesser General Public License for more details.
	 *
	 * You should have received a copy of the GNU Lesser General Public
	 * License along with this library; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	 * MA 02110-1301 USA
	 *
	 */

	package org.objectweb.dsrg.sofa.demos.sofashop.common.datamodel;

	/** Data model member.
	  * 
	  * <p>
	  * This class was generated from ecore model by M2T template using
	  * Acceleo MDA Generator (see http://www.acceleo.org).
	  * </p>
	  */
	public class Product extends AbstractBase {
	 
		
		/** The defaultEAN attribute. */
		private java.lang.String defaultEAN;
		/** The defaultPrice attribute. */
		private double defaultPrice;
		/** The name attribute. */
		private java.lang.String name;
		/** The id attribute. */
		private long id;
		/** The description attribute. */
		private java.lang.String description;
	
		/** The category reference. */
		private ProductCategory category = null;
		/** The supplyTerms reference. */
		private java.util.List<SupplyTerms> supplyTerms = null;

	
		
		/** Returns current value of defaultEAN attribute.
		  *
		  * @return defaultEAN
		  */
		public java.lang.String getDefaultEAN () {
			return defaultEAN;
		} 
		/** Returns current value of defaultPrice attribute.
		  *
		  * @return defaultPrice
		  */
		public double getDefaultPrice () {
			return defaultPrice;
		} 
		/** Returns current value of name attribute.
		  *
		  * @return name
		  */
		public java.lang.String getName () {
			return name;
		} 
		/** Returns current value of id attribute.
		  *
		  * @return id
		  */
		public long getId () {
			return id;
		} 
		/** Returns current value of description attribute.
		  *
		  * @return description
		  */
		public java.lang.String getDescription () {
			return description;
		} 
	
		/** Returns current value of category reference.
		  *
		  * @return category
		  */
		public ProductCategory getCategory () {
			return this.category;
		}
		/** Returns current value of supplyTerms reference.
		  *
		  * @return supplyTerms
		  */
		public java.util.List<SupplyTerms> getSupplyTerms() {
			return this.supplyTerms;
		}

	
		
		/** Sets new value of defaultEAN attribute.
		  *
		  * @param defaultEAN new value
		  */
		public void setDefaultEAN (java.lang.String defaultEAN) {
			this.defaultEAN = defaultEAN;
		}
		/** Sets new value of defaultPrice attribute.
		  *
		  * @param defaultPrice new value
		  */
		public void setDefaultPrice (double defaultPrice) {
			this.defaultPrice = defaultPrice;
		}
		/** Sets new value of name attribute.
		  *
		  * @param name new value
		  */
		public void setName (java.lang.String name) {
			this.name = name;
		}
		/** Sets new value of id attribute.
		  *
		  * @param id new value
		  */
		public void setId (long id) {
			this.id = id;
		}
		/** Sets new value of description attribute.
		  *
		  * @param description new value
		  */
		public void setDescription (java.lang.String description) {
			this.description = description;
		}
	
		/** Sets new value of category association.
		  *
		  * @param category new value
		  */
		public void setCategory (ProductCategory category) {
			this.category = category;
		}
		/** Sets new value of supplyTerms association.
		  *
		  * @param supplyTerms new value
		  */
		public void setSupplyTerms( java.util.List<SupplyTerms> supplyTerms) {
			this.supplyTerms = supplyTerms;
		}

	
	}

