	/* $Id: ProductPolicy.java 763 2009-10-16 23:16:10Z ondrac $
	 *
	 * SofaShop demo for SOFA 2.0 component system
	 * Copyright (C) 2009  DSRG, Charles University in Prague
	 *                     http://dsrg.mff.cuni.cz/
	 *
	 * This library is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU Lesser General Public
	 * License as published by the Free Software Foundation; either
	 * version 2.1 of the License, or (at your option) any later version.
	 *
	 * This library is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	 * Lesser General Public License for more details.
	 *
	 * You should have received a copy of the GNU Lesser General Public
	 * License along with this library; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	 * MA 02110-1301 USA
	 *
	 */

	package org.objectweb.dsrg.sofa.demos.sofashop.common.datamodel;

	/** Data model member.
	  * 
	  * <p>
	  * This class was generated from ecore model by M2T template using
	  * Acceleo MDA Generator (see http://www.acceleo.org).
	  * </p>
	  */
	public class ProductPolicy extends AbstractBase {
	 
		
		/** The lowLimit attribute. */
		private double lowLimit;
		/** The enoughLimit attribute. */
		private double enoughLimit;
		/** The validFrom attribute. */
		private java.util.Date validFrom = null;
		/** The validTo attribute. */
		private java.util.Date validTo;
	
		/** The product reference. */
		private Product product = null;
		/** The store reference. */
		private Store store = null;

	
		
		/** Returns current value of lowLimit attribute.
		  *
		  * @return lowLimit
		  */
		public double getLowLimit () {
			return lowLimit;
		} 
		/** Returns current value of enoughLimit attribute.
		  *
		  * @return enoughLimit
		  */
		public double getEnoughLimit () {
			return enoughLimit;
		} 
		/** Returns current value of validFrom attribute.
		  *
		  * @return validFrom
		  */
		public java.util.Date getValidFrom () {
			return validFrom;
		} 
		/** Returns current value of validTo attribute.
		  *
		  * @return validTo
		  */
		public java.util.Date getValidTo () {
			return validTo;
		} 
	
		/** Returns current value of product reference.
		  *
		  * @return product
		  */
		public Product getProduct () {
			return this.product;
		}
		/** Returns current value of store reference.
		  *
		  * @return store
		  */
		public Store getStore () {
			return this.store;
		}

	
		
		/** Sets new value of lowLimit attribute.
		  *
		  * @param lowLimit new value
		  */
		public void setLowLimit (double lowLimit) {
			this.lowLimit = lowLimit;
		}
		/** Sets new value of enoughLimit attribute.
		  *
		  * @param enoughLimit new value
		  */
		public void setEnoughLimit (double enoughLimit) {
			this.enoughLimit = enoughLimit;
		}
		/** Sets new value of validFrom attribute.
		  *
		  * @param validFrom new value
		  */
		public void setValidFrom (java.util.Date validFrom) {
			this.validFrom = validFrom;
		}
		/** Sets new value of validTo attribute.
		  *
		  * @param validTo new value
		  */
		public void setValidTo (java.util.Date validTo) {
			this.validTo = validTo;
		}
	
		/** Sets new value of product association.
		  *
		  * @param product new value
		  */
		public void setProduct (Product product) {
			this.product = product;
		}
		/** Sets new value of store association.
		  *
		  * @param store new value
		  */
		public void setStore (Store store) {
			this.store = store;
		}

	
	}

