	/* $Id: StockItem.java 763 2009-10-16 23:16:10Z ondrac $
	 *
	 * SofaShop demo for SOFA 2.0 component system
	 * Copyright (C) 2009  DSRG, Charles University in Prague
	 *                     http://dsrg.mff.cuni.cz/
	 *
	 * This library is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU Lesser General Public
	 * License as published by the Free Software Foundation; either
	 * version 2.1 of the License, or (at your option) any later version.
	 *
	 * This library is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	 * Lesser General Public License for more details.
	 *
	 * You should have received a copy of the GNU Lesser General Public
	 * License along with this library; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	 * MA 02110-1301 USA
	 *
	 */

	package org.objectweb.dsrg.sofa.demos.sofashop.common.datamodel;

	/** Data model member.
	  * 
	  * <p>
	  * This class was generated from ecore model by M2T template using
	  * Acceleo MDA Generator (see http://www.acceleo.org).
	  * </p>
	  */
	public class StockItem extends AbstractBase {
	 
		
		/** The EAN attribute. */
		private java.lang.String EAN;
		/** The amount attribute. */
		private double amount;
		/** The price attribute. */
		private double price;
	
		/** The product reference. */
		private Product product = null;
		/** The store reference. */
		private Store store = null;

	
		
		/** Returns current value of EAN attribute.
		  *
		  * @return EAN
		  */
		public java.lang.String getEAN () {
			return EAN;
		} 
		/** Returns current value of amount attribute.
		  *
		  * @return amount
		  */
		public double getAmount () {
			return amount;
		} 
		/** Returns current value of price attribute.
		  *
		  * @return price
		  */
		public double getPrice () {
			return price;
		} 
	
		/** Returns current value of product reference.
		  *
		  * @return product
		  */
		public Product getProduct () {
			return this.product;
		}
		/** Returns current value of store reference.
		  *
		  * @return store
		  */
		public Store getStore () {
			return this.store;
		}

	
		
		/** Sets new value of EAN attribute.
		  *
		  * @param EAN new value
		  */
		public void setEAN (java.lang.String EAN) {
			this.EAN = EAN;
		}
		/** Sets new value of amount attribute.
		  *
		  * @param amount new value
		  */
		public void setAmount (double amount) {
			this.amount = amount;
		}
		/** Sets new value of price attribute.
		  *
		  * @param price new value
		  */
		public void setPrice (double price) {
			this.price = price;
		}
	
		/** Sets new value of product association.
		  *
		  * @param product new value
		  */
		public void setProduct (Product product) {
			this.product = product;
		}
		/** Sets new value of store association.
		  *
		  * @param store new value
		  */
		public void setStore (Store store) {
			this.store = store;
		}

	
	}

