/* $Id: InvalidReportParameterException.java 775 2009-10-23 00:49:10Z ondrac $
 *
 * SofaShop demo for SOFA 2.0 component system
 * Copyright (C) 2009  DSRG, Charles University in Prague
 *                     http://dsrg.mff.cuni.cz/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA
 *
 */

package org.objectweb.dsrg.sofa.demos.sofashop.rep.common;

/** This exception is dedicated to be thrown during 
  * report rendering, when any parameter is invalid.
  * 
  * @author Ondrej Cerny
  *
  */
public class InvalidReportParameterException extends Exception {
	private static final long serialVersionUID = 8507913897183607899L;

	/** Creates new instance of exception with given message.
	  * 
	  * @param message message
	  */
	public InvalidReportParameterException(String message) {
		super(message);
	}
}
