	/* $Id: ProductCategory.java 763 2009-10-16 23:16:10Z ondrac $
	 *
	 * SofaShop demo for SOFA 2.0 component system
	 * Copyright (C) 2009  DSRG, Charles University in Prague
	 *                     http://dsrg.mff.cuni.cz/
	 *
	 * This library is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU Lesser General Public
	 * License as published by the Free Software Foundation; either
	 * version 2.1 of the License, or (at your option) any later version.
	 *
	 * This library is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	 * Lesser General Public License for more details.
	 *
	 * You should have received a copy of the GNU Lesser General Public
	 * License along with this library; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	 * MA 02110-1301 USA
	 *
	 */

	package org.objectweb.dsrg.sofa.demos.sofashop.common.datamodel;

	/** Data model member.
	  * 
	  * <p>
	  * This class was generated from ecore model by M2T template using
	  * Acceleo MDA Generator (see http://www.acceleo.org).
	  * </p>
	  */
	public class ProductCategory extends AbstractBase {
	 
		
		/** The name attribute. */
		private java.lang.String name;
		/** The id attribute. */
		private long id;
		/** The description attribute. */
		private java.lang.String description;
		/** The level attribute. */
		private int level = 1;
	
		/** The parent reference. */
		private ProductCategory parent = null;

	
		
		/** Returns current value of name attribute.
		  *
		  * @return name
		  */
		public java.lang.String getName () {
			return name;
		} 
		/** Returns current value of id attribute.
		  *
		  * @return id
		  */
		public long getId () {
			return id;
		} 
		/** Returns current value of description attribute.
		  *
		  * @return description
		  */
		public java.lang.String getDescription () {
			return description;
		} 
		/** Returns current value of level attribute.
		  *
		  * @return level
		  */
		public int getLevel () {
			return level;
		} 
	
		/** Returns current value of parent reference.
		  *
		  * @return parent
		  */
		public ProductCategory getParent () {
			return this.parent;
		}

	
		
		/** Sets new value of name attribute.
		  *
		  * @param name new value
		  */
		public void setName (java.lang.String name) {
			this.name = name;
		}
		/** Sets new value of id attribute.
		  *
		  * @param id new value
		  */
		public void setId (long id) {
			this.id = id;
		}
		/** Sets new value of description attribute.
		  *
		  * @param description new value
		  */
		public void setDescription (java.lang.String description) {
			this.description = description;
		}
		/** Sets new value of level attribute.
		  *
		  * @param level new value
		  */
		public void setLevel (int level) {
			this.level = level;
		}
	
		/** Sets new value of parent association.
		  *
		  * @param parent new value
		  */
		public void setParent (ProductCategory parent) {
			this.parent = parent;
		}

	
	}

