	/* $Id: Sale.java 763 2009-10-16 23:16:10Z ondrac $
	 *
	 * SofaShop demo for SOFA 2.0 component system
	 * Copyright (C) 2009  DSRG, Charles University in Prague
	 *                     http://dsrg.mff.cuni.cz/
	 *
	 * This library is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU Lesser General Public
	 * License as published by the Free Software Foundation; either
	 * version 2.1 of the License, or (at your option) any later version.
	 *
	 * This library is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	 * Lesser General Public License for more details.
	 *
	 * You should have received a copy of the GNU Lesser General Public
	 * License along with this library; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	 * MA 02110-1301 USA
	 *
	 */

	package org.objectweb.dsrg.sofa.demos.sofashop.common.datamodel;

	/** Data model member.
	  * 
	  * <p>
	  * This class was generated from ecore model by M2T template using
	  * Acceleo MDA Generator (see http://www.acceleo.org).
	  * </p>
	  */
	public class Sale extends AbstractBase {
	 
		
		/** The cashDeskNo attribute. */
		private int cashDeskNo;
		/** The close attribute. */
		private java.util.Date close;
		/** The total attribute. */
		private double total;
	
		/** The saleItems reference. */
		private java.util.List<SaleItem> saleItems = null;
		/** The store reference. */
		private Store store = null;

	
		
		/** Returns current value of cashDeskNo attribute.
		  *
		  * @return cashDeskNo
		  */
		public int getCashDeskNo () {
			return cashDeskNo;
		} 
		/** Returns current value of close attribute.
		  *
		  * @return close
		  */
		public java.util.Date getClose () {
			return close;
		} 
		/** Returns current value of total attribute.
		  *
		  * @return total
		  */
		public double getTotal () {
			return total;
		} 
	
		/** Returns current value of saleItems reference.
		  *
		  * @return saleItems
		  */
		public java.util.List<SaleItem> getSaleItems() {
			return this.saleItems;
		}
		/** Returns current value of store reference.
		  *
		  * @return store
		  */
		public Store getStore () {
			return this.store;
		}

	
		
		/** Sets new value of cashDeskNo attribute.
		  *
		  * @param cashDeskNo new value
		  */
		public void setCashDeskNo (int cashDeskNo) {
			this.cashDeskNo = cashDeskNo;
		}
		/** Sets new value of close attribute.
		  *
		  * @param close new value
		  */
		public void setClose (java.util.Date close) {
			this.close = close;
		}
		/** Sets new value of total attribute.
		  *
		  * @param total new value
		  */
		public void setTotal (double total) {
			this.total = total;
		}
	
		/** Sets new value of saleItems association.
		  *
		  * @param saleItems new value
		  */
		public void setSaleItems( java.util.List<SaleItem> saleItems) {
			this.saleItems = saleItems;
		}
		/** Sets new value of store association.
		  *
		  * @param store new value
		  */
		public void setStore (Store store) {
			this.store = store;
		}

	
	}

