	/* $Id: SaleItem.java 763 2009-10-16 23:16:10Z ondrac $
	 *
	 * SofaShop demo for SOFA 2.0 component system
	 * Copyright (C) 2009  DSRG, Charles University in Prague
	 *                     http://dsrg.mff.cuni.cz/
	 *
	 * This library is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU Lesser General Public
	 * License as published by the Free Software Foundation; either
	 * version 2.1 of the License, or (at your option) any later version.
	 *
	 * This library is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	 * Lesser General Public License for more details.
	 *
	 * You should have received a copy of the GNU Lesser General Public
	 * License along with this library; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	 * MA 02110-1301 USA
	 *
	 */

	package org.objectweb.dsrg.sofa.demos.sofashop.common.datamodel;

	/** Data model member.
	  * 
	  * <p>
	  * This class was generated from ecore model by M2T template using
	  * Acceleo MDA Generator (see http://www.acceleo.org).
	  * </p>
	  */
	public class SaleItem extends AbstractBase {
	 
		
		/** The amount attribute. */
		private double amount;
		/** The pricePerUnit attribute. */
		private double pricePerUnit;
		/** The totalPrice attribute. */
		private double totalPrice;
		/** The stockItemEAN attribute. */
		private java.lang.String stockItemEAN;
	
		/** The product reference. */
		private Product product = null;

	
		
		/** Returns current value of amount attribute.
		  *
		  * @return amount
		  */
		public double getAmount () {
			return amount;
		} 
		/** Returns current value of pricePerUnit attribute.
		  *
		  * @return pricePerUnit
		  */
		public double getPricePerUnit () {
			return pricePerUnit;
		} 
		/** Returns current value of totalPrice attribute.
		  *
		  * @return totalPrice
		  */
		public double getTotalPrice () {
			return totalPrice;
		} 
		/** Returns current value of stockItemEAN attribute.
		  *
		  * @return stockItemEAN
		  */
		public java.lang.String getStockItemEAN () {
			return stockItemEAN;
		} 
	
		/** Returns current value of product reference.
		  *
		  * @return product
		  */
		public Product getProduct () {
			return this.product;
		}

	
		
		/** Sets new value of amount attribute.
		  *
		  * @param amount new value
		  */
		public void setAmount (double amount) {
			this.amount = amount;
		}
		/** Sets new value of pricePerUnit attribute.
		  *
		  * @param pricePerUnit new value
		  */
		public void setPricePerUnit (double pricePerUnit) {
			this.pricePerUnit = pricePerUnit;
		}
		/** Sets new value of totalPrice attribute.
		  *
		  * @param totalPrice new value
		  */
		public void setTotalPrice (double totalPrice) {
			this.totalPrice = totalPrice;
		}
		/** Sets new value of stockItemEAN attribute.
		  *
		  * @param stockItemEAN new value
		  */
		public void setStockItemEAN (java.lang.String stockItemEAN) {
			this.stockItemEAN = stockItemEAN;
		}
	
		/** Sets new value of product association.
		  *
		  * @param product new value
		  */
		public void setProduct (Product product) {
			this.product = product;
		}

	
	}

