	/* $Id: SupplyTerms.java 763 2009-10-16 23:16:10Z ondrac $
	 *
	 * SofaShop demo for SOFA 2.0 component system
	 * Copyright (C) 2009  DSRG, Charles University in Prague
	 *                     http://dsrg.mff.cuni.cz/
	 *
	 * This library is free software; you can redistribute it and/or
	 * modify it under the terms of the GNU Lesser General Public
	 * License as published by the Free Software Foundation; either
	 * version 2.1 of the License, or (at your option) any later version.
	 *
	 * This library is distributed in the hope that it will be useful,
	 * but WITHOUT ANY WARRANTY; without even the implied warranty of
	 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	 * Lesser General Public License for more details.
	 *
	 * You should have received a copy of the GNU Lesser General Public
	 * License along with this library; if not, write to the Free Software
	 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	 * MA 02110-1301 USA
	 *
	 */

	package org.objectweb.dsrg.sofa.demos.sofashop.common.datamodel;

	/** Data model member.
	  * 
	  * <p>
	  * This class was generated from ecore model by M2T template using
	  * Acceleo MDA Generator (see http://www.acceleo.org).
	  * </p>
	  */
	public class SupplyTerms extends AbstractBase {
	 
		
		/** The lowerLimitIncl attribute. */
		private double lowerLimitIncl;
		/** The upperLimitExcl attribute. */
		private double upperLimitExcl;
		/** The maxDeliveryTime attribute. */
		private java.util.Date maxDeliveryTime;
		/** The price attribute. */
		private double price;
		/** The validFrom attribute. */
		private java.util.Date validFrom = null;
		/** The validTo attribute. */
		private java.util.Date validTo = null;
	
		/** The supplier reference. */
		private Supplier supplier = null;
		/** The store reference. */
		private Store store = null;

	
		
		/** Returns current value of lowerLimitIncl attribute.
		  *
		  * @return lowerLimitIncl
		  */
		public double getLowerLimitIncl () {
			return lowerLimitIncl;
		} 
		/** Returns current value of upperLimitExcl attribute.
		  *
		  * @return upperLimitExcl
		  */
		public double getUpperLimitExcl () {
			return upperLimitExcl;
		} 
		/** Returns current value of maxDeliveryTime attribute.
		  *
		  * @return maxDeliveryTime
		  */
		public java.util.Date getMaxDeliveryTime () {
			return maxDeliveryTime;
		} 
		/** Returns current value of price attribute.
		  *
		  * @return price
		  */
		public double getPrice () {
			return price;
		} 
		/** Returns current value of validFrom attribute.
		  *
		  * @return validFrom
		  */
		public java.util.Date getValidFrom () {
			return validFrom;
		} 
		/** Returns current value of validTo attribute.
		  *
		  * @return validTo
		  */
		public java.util.Date getValidTo () {
			return validTo;
		} 
	
		/** Returns current value of supplier reference.
		  *
		  * @return supplier
		  */
		public Supplier getSupplier () {
			return this.supplier;
		}
		/** Returns current value of store reference.
		  *
		  * @return store
		  */
		public Store getStore () {
			return this.store;
		}

	
		
		/** Sets new value of lowerLimitIncl attribute.
		  *
		  * @param lowerLimitIncl new value
		  */
		public void setLowerLimitIncl (double lowerLimitIncl) {
			this.lowerLimitIncl = lowerLimitIncl;
		}
		/** Sets new value of upperLimitExcl attribute.
		  *
		  * @param upperLimitExcl new value
		  */
		public void setUpperLimitExcl (double upperLimitExcl) {
			this.upperLimitExcl = upperLimitExcl;
		}
		/** Sets new value of maxDeliveryTime attribute.
		  *
		  * @param maxDeliveryTime new value
		  */
		public void setMaxDeliveryTime (java.util.Date maxDeliveryTime) {
			this.maxDeliveryTime = maxDeliveryTime;
		}
		/** Sets new value of price attribute.
		  *
		  * @param price new value
		  */
		public void setPrice (double price) {
			this.price = price;
		}
		/** Sets new value of validFrom attribute.
		  *
		  * @param validFrom new value
		  */
		public void setValidFrom (java.util.Date validFrom) {
			this.validFrom = validFrom;
		}
		/** Sets new value of validTo attribute.
		  *
		  * @param validTo new value
		  */
		public void setValidTo (java.util.Date validTo) {
			this.validTo = validTo;
		}
	
		/** Sets new value of supplier association.
		  *
		  * @param supplier new value
		  */
		public void setSupplier (Supplier supplier) {
			this.supplier = supplier;
		}
		/** Sets new value of store association.
		  *
		  * @param store new value
		  */
		public void setStore (Store store) {
			this.store = store;
		}

	
	}

