/* $Id: TargetUnreachableException.java 762 2009-10-12 11:19:00Z ondrac $
 *
 * SofaShop demo for SOFA 2.0 component system
 * Copyright (C) 2009  DSRG, Charles University in Prague
 *                     http://dsrg.mff.cuni.cz/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA
 *
 */
/**
 * 
 */
package org.objectweb.dsrg.sofa.demos.sofashop.inv;

/** Used when an error occurs logically on remote side during data exchange.
  * 
  * @author Ondrej Cerny
  */
public class TargetUnreachableException extends InventoryUnreachableException {

	/** Generated serial version ID */
	private static final long serialVersionUID = 6707243489248567286L;

	/**
	 * @see InventoryUnreachableException
	 */
	public TargetUnreachableException() {
	}

	/**
	 * @param msg
	 * @see InventoryUnreachableException 
	 */
	public TargetUnreachableException(String msg) {
		super(msg);
	}

	/**
	 * @param t
	 * @see InventoryUnreachableException
	 */
	public TargetUnreachableException(Throwable t) {
		super(t);
	}

	/**
	 * @param msg
	 * @param t
	 * @see InventoryUnreachableException
	 */
	public TargetUnreachableException(String msg, Throwable t) {
		super(msg, t);
	}

}
