/* $Id: ISale.java 710 2009-09-19 13:54:04Z ondrac $
 *
 * SofaShop demo for SOFA 2.0 component system
 * Copyright (C) 2009  DSRG, Charles University in Prague
 *                     http://dsrg.mff.cuni.cz/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA
 *
 */
package org.objectweb.dsrg.sofa.demos.sofashop.inv.stock;

import org.objectweb.dsrg.sofa.demos.sofashop.common.datamodel.*;
import org.objectweb.dsrg.sofa.demos.sofashop.inv.InventoryUnreachableException;

/** Provides sale registering.
  *
  * @author Ondrej Cerny
  */
public interface ISale {
  /** Register single sale.
    *
    * @param sale sale 
    */
  public void registerSale(Sale sale)
    throws InventoryUnreachableException;
}
